Add a tag to a contact
curl --request POST \
--url https://api.salescaptain.com/v1/add-tag-to-contact/{company_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"contact_id": "11111111-1111-1111-1111-111111111111",
"tag_id": "c9d8e7f6-a5b4-3210-9876-543210fedcba"
}
'import requests
url = "https://api.salescaptain.com/v1/add-tag-to-contact/{company_id}"
payload = {
"contact_id": "11111111-1111-1111-1111-111111111111",
"tag_id": "c9d8e7f6-a5b4-3210-9876-543210fedcba"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
contact_id: '11111111-1111-1111-1111-111111111111',
tag_id: 'c9d8e7f6-a5b4-3210-9876-543210fedcba'
})
};
fetch('https://api.salescaptain.com/v1/add-tag-to-contact/{company_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Tag assigned to contact successfully!",
"data": {
"data": {
"tag_track_id": "dddddddd-dddd-dddd-dddd-dddddddddddd",
"contact_id": "11111111-1111-1111-1111-111111111111",
"tag_id": "c9d8e7f6-a5b4-3210-9876-543210fedcba",
"tag_name": "VIP Customer",
"created_at": "2026-08-11T15:20:00.000Z",
"message": "Tag assigned to contact successfully"
}
}
}Tags
Add a tag to a contact
Assigns an existing tag to a contact.
User must have ‘contacts’ access role.
account_id is derived from the authenticated user’s account for the company.
POST
/
v1
/
add-tag-to-contact
/
{company_id}
Add a tag to a contact
Authorizations
Authentication token required for accessing protected endpoints. The token should be obtained from the main SalesCaptain authentication service.
Path Parameters
Unique identifier for the company
Example:
"7f22b96a-f75b-461e-9a1d-b8ff6f53f519"
Body
application/json
⌘I

